
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) return;
    var config = {
       drawing  : settings.currentDrawing,
       art : settings.activeArt,
       layers : [ 0 ]
    };
    var strokes = Drawing.query.getLayerStrokes(config);
    console.log("strokes = " + JSON.stringify(strokes, null, " ") + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
