
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    var config = {
       drawing  : settings.currentDrawing
    };
    var pivot = Drawing.getPivot(config);
    console.log("pivot before = " + JSON.stringify(pivot, null, ' ') + ";");   
    pivot.x += 100;
    config.pivot = pivot;
    Drawing.setPivot(config);
    pivot = Drawing.getPivot(config);
    console.log("pivot after = " + JSON.stringify(pivot, null, ' ') + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
