
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) return;
    var config = {
       drawing  : settings.currentDrawing,
       art : settings.activeArt
    };
    var numberOfLayers = Drawing.query.getNumberOfLayers(config);
    console.log("numberOfLayers = " + JSON.stringify(numberOfLayers) + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
