
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    var complexObject = {
       strings : [ "a", "b"],
       a : 12
    };
    var arguments = {
      owner: "com.mycompany.script",
      drawing: settings.currentDrawing,
      metadata: [
         { key: "key1", value: "1"}, 
         { key: "key2", value: "2"},
         { key: "key3", value: JSON.stringify(complexObject)}
      ]      
    }
    Drawing.setMetaData(arguments);
    var retrieved = Drawing.getMetaData({ drawing : arguments.drawing, owner : arguments.owner});
   
    // The key/value at index 2 is a complex object. Parse it.
    if (retrieved)
       retrieved[2].value = JSON.parse(retrieved[2].value);
    console.log("metadata = " + JSON.stringify(retrieved, null, ' ') + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
