
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (settings.currentDrawing) {
      console.log("A drawing already exists");
      return;
    }
    scene.beginUndoRedoAccum("Create Drawing example");
    settings = Tools.createDrawing();
    scene.endUndoRedoAccum();
    console.log("settings = " + JSON.stringify(settings) + ";");   
  } catch(e) {
    console.log("Exception: " + e);
    scene.cancelUndoRedoAccum();
  }
}

exports.run = run;
